Skip to content

Get account balances

GET
/v1/account/balances

Returns the list of all wallets with their respective balances. You can view zero balances by specifying the excludeZeroBalances parameter to false.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Query Parameters

excludeZeroBalances

If true, excludes currencies with zero balance from the response. Defaults to false.

Type
boolean

Responses

Account balances retrieved successfully

application/json
JSON
[
{
"currency": "USDT",
"available": "44822.97549155",
"reserved": "99.99925",
"total": "145612.43129945",
"updatedAt": "2023-04-25T09:00:04.406Z",
"lendReserved": "100000",
"borrowReserved": "689.4565579",
"borrowedAmount": "0",
"totalInReference": "7828.62533868",
"totalInReferenceWeighted": "7828.62533868",
"referenceCurrency": "USDC"
},
{
"currency": "BTC",
"available": "0",
"reserved": "0",
"total": "-0.00101056",
"updatedAt": "2023-04-25T09:00:00.103Z",
"lendReserved": "0",
"borrowReserved": "0",
"borrowedAmount": "0.00101056",
"totalInReference": "-28.29568",
"totalInReferenceWeighted": "-27.588288",
"referenceCurrency": "USDC"
}
]

Playground

Authorization
Variables
Key
Value

Samples